Redmine - Feature #27412

Document supported HTML access keys
2017-11-08 21:35 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Documentation Estimated time: 0.00 hour

Target version:

Resolution: Fixed

Description

The access keys supported by Redmine (which are implemented using regular HTML accesskey attributes requiring the use of
Ctrl/Al/Shift" keys) are not yet documented. This needs some TLC ;)

References:

e commits implementing the access keys: r804 (#449), r897, r1081 (#481), r13794 (#18692)

¢ notable related issue(s): #6846

e notable related plugin(s): https:/github.com/netaustin/redmine_keyboard_shortcuts

e current (backend) implementation: source:/trunk/lib/redmine/access_keys.rb@17022

¢ files containing the string 'accesskey(' (frontend implementation): View details...View details...

File: Line no.: Code line:

app\helpers\application_helper.rb 603 def accesskey (s)
app\helpers\application_helper.rb 1217 :accesskey => accesske

y (:preview)

app\views\activities\index.html.erb 30 :accesskey
=> accesskey (:previous)) %>

app\views\activities\index.html.erb 35 :accesskey
> accesskey (:next)) %$><% end
>

oo ||

app\views\calendars\show.html.erb 18 <%= link_to_previous_month (@
year, @month, :accesskey => ac
cesskey (:previous)) %> | <%= 1
ink_to_next_month (@year, @mont
h, :accesskey => accesskey(:ne
xt)) %>

app\views\documents\show.html.erb 3 <%= link_to 1 (:button_edit), e
dit_document_path (@document),

:class => 'icon icon-edit', :a
ccesskey => accesskey(:edit) %

>
app\views\gantts\show.html.erb 343
raccesskey => accesskey (:prev
ious)) %>
app\views\gantts\show.html.erb 348
raccesskey => accesskey (:next
)) %>
app\views\issues\show.html.erb 12 :accesske
y => accesskey (:previous) %>
app\views\issues\show.html.erb 24 :accesske
y => accesskey (:next) %>
app\views\issues\_action_menu.html.erb |2 <%= link_to 1 (:button_edit), e

dit_issue_path (@issue), :oncli
ck => 'showAndScrollTo ("update
", "issue_notes"); return fals

e;', :class => 'icon icon-edit
https://www.w3.org/TR/html5/editing.html#the-accesskey-attribute;
https://www.redmine.org/projects/redmine/repository/svn/revisions/804
https://www.redmine.org/issues/449
https://www.redmine.org/projects/redmine/repository/svn/revisions/897
https://www.redmine.org/projects/redmine/repository/svn/revisions/1081
https://www.redmine.org/issues/481
https://www.redmine.org/projects/redmine/repository/svn/revisions/13794
https://www.redmine.org/issues/18692
https://www.redmine.org/issues/6846
https://github.com/netaustin/redmine_keyboard_shortcuts
https://www.redmine.org/projects/redmine/repository/svn/revisions/17022/entry/trunk/lib/redmine/access_keys.rb

', :raccesskey => accesskey(:ed
it) if Q@issue.editable? %>

app\views\issues\_form.html.erb 34 :accesskey
=> accesskey (:edit),
app\views\layouts\base.html.erb 81 <%= link_to 1 (:label
_search), {:controller => 'sea
rch', :action => 'index', :id
=> @project}, :accesskey => ac
cesskey (:search) %>:
app\views\layouts\base.html.erb 83 <%= text_field_tag 'q'
, @Qgquestion, :size => 20, :cla
ss => 'small', :accesskey => a
ccesskey (:quick_search) %>
app\views\news\show.html.erb 6 :accesskey => accesskey (
redit),
app\views\repositories\revision.html.erb |5 :text => 1(:label_previo
us), :accesskey => accesskey(:
previous)) %>
app\views\repositories\revision.html.erb |12 :text => 1(:label_next),
raccesskey => accesskey (:next
)) %>
app\views\wiki\edit.html.erb 17 :class => 'w
iki-edit', :accesskey => acces
skey (:edit) %>
app\views\wiki\show.html.erb 7 <%= link_to_if_authorized (1 (
:button_edit), {:action => 'ed
it', :id => @page.title}, :cla
ss => 'icon icon-edit', :acces
skey => accesskey (:edit)) %>
lib\redmine\pagination.rb 170
raccesskey => accesske
y (:previous)),
lib\redmine\pagination.rb 198

:accesskey => accesske
y (:next)),

' For an overview of keys used to access these access keys in different browsers, see: https:/en.wikipedia.org/wiki/Access_key.

Related issues:

Related to Redmine - Feature #449: Keyboard shortcuts

Reopened

History

#1 - 2017-11-09 02:25 - Mischa The Evil
- Description updated

#2 - 2017-11-09 02:52 - Mischa The Evil
- Description updated

#3 - 2017-11-10 11:59 - Bernhard Rohloff

- File redmine_keyboard_navigation.txt added

| have written a small wiki article for this feature.
Perhaps, this could be seen as a first draft.

#4 - 2017-12-08 11:53 - Toshi MARUYAMA

- Related to Feature #449: Keyboard shortcuts added

2025-07-07

2/3



https://en.wikipedia.org/wiki/Access_key

#5 - 2018-01-20 01:48 - Go MAEDA

Bernhard Rohloff wrote:

| have written a small wiki article for this feature.
Perhaps, this could be seen as a first draft.

Thank you for writing the document! | have added a new page and pasted your work: RedmineKeyboardNavigation

Please feel free to edit pages.

#6 - 2018-01-20 06:49 - Bernhard Rohloff

Thank you Go MAEDA for adding the new article.

| didn't saw an option to add a new article on the "User Guide" page.

While watching the new page I've realized the breadcrumbs would have shown me the right way.
... *facepalm*

#7 - 2018-01-20 10:36 - Mischa The Evil

The wiki page in its current state is missing some things and is misleading in a way:

e | am not sure if the 'ALT + SHIFT + Key' combination works on all platforms (Win, Mac, *Nix); if it doesn't, we should document the respective
modifiers for the other platforms too;
e edit shortcut is available for documents too;
¢ previous / next shortcuts are not available for issues queries only; they are also available for:
o all paginations;
o activities;
o calendars;
o gantts;
o repositories/revisions.

#8 - 2018-01-20 10:59 - Go MAEDA
Mischa The Evil wrote:

e | am not sure if the 'ALT + SHIFT + Key' combination works on all platforms (Win, Mac, *Nix); if it doesn't, we should document the
respective modifiers for the other platforms too;

| looked into the modifier keys of major web browsers about a year ago.

Chrome for Windows: Alt ("Alt + Shift" for "e" and "f")
Firefox for Windows: Alt + Shift

Microsoft Edge: Alt ("Alt + 7" is not available)
Chrome, Firefox and Safari for macOS: Ctrl + Opt

#9 - 2018-01-20 13:11 - Bernhard Rohloff

Thank you for your notes. *thumbs up*
| have modified the article and added your changes to it.

#10 - 2019-01-05 06:08 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Now we have RedmineKeyboardNavigation page.

Files

redmine_keyboard_navigation.txt 1.4 KB 2017-11-10 Bernhard Rohloff
https://www.redmine.org/projects/redmine/wiki/RedmineKeyboardNavigation
https://www.redmine.org/projects/redmine/wiki/RedmineKeyboardNavigation
http://www.tcpdf.org

